Name:           metainf-services
Version:        1.7
Release:        %mkrel 1
Group:          Development/Java
Summary:        Small java library for generating META-INF/services files

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/metainf-services
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.kohsuke:pom:pom:)

%description
This package contains small Java library which can be used
for automatic generation of META-INF/services files.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

%pom_xpath_remove "pom:plugin[pom:artifactId[text()='animal-sniffer-maven-plugin']]"

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Sun May 21 2017 neoclust <neoclust> 1.7-1.mga6
+ Revision: 1103826
- New version 1.7
- Second rebuild of the java stack

* Sat Feb 27 2016 neoclust <neoclust> 1.5-7.mga6
+ Revision: 980085
- First rebuild of the java stack

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-5.mga5
+ Revision: 743003
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 04 2014 dmorgan <dmorgan> 1.5-3.mga5
+ Revision: 611695
- imported package metainf-services


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Michal Srb <msrb@redhat.com> - 1.5-1
- Initial package

